namespace MauiSpark.Pages;

/// <summary>
/// Page d'accueil
/// </summary>
public partial class AccueilPage : ContentPage
{

    /// <summary>
    /// Constructeur de la page
    /// </summary>
	public AccueilPage()
	{
		NavigationPage.SetHasBackButton(this, false);
        NavigationPage.SetHasNavigationBar(this, false);

        InitializeComponent();
	}

    /// <summary>
    /// Mthode dclench quand le buton jou est cliqu.
    /// Navigue vers la page Mode.
    /// </summary>
    /// <param name="sender">L'object qui appelle l'venement; ici le buton Jouer</param>
    /// <param name="e">L'instance de l'vnement EventArgs cre par le systme</param>
    private void QuandJouerClique(Object? sender, EventArgs e)
	{
		Navigation.PushAsync(new ModePage());
	}

    /// <summary>
    /// Mthode dclench quand le buton reprendre est cliqu.
    /// Navigue vers la page Reprendre.
    /// </summary>
    /// <param name="sender">L'object qui appelle l'venement; ici le buton Reprendre</param>
    /// <param name="e">L'instance de l'vnement EventArgs cre par le systme</param>
    private void QuandReprendreClique(Object? sender, EventArgs e)
    {
        Navigation.PushAsync(new ReprendrePage());
    }
}