using CoreLibrary;
using CoreLibrary.Regles;

namespace MauiSpark.Pages;

/// <summary>
/// Page de slection des modes jeux 
/// </summary>
public partial class ModePage : ContentPage
{
    /// <summary>
    /// Constructeur de la page mode
    /// </summary>
    public ModePage()
	{
        NavigationPage.SetHasNavigationBar(this, false);

        InitializeComponent();
	}

    /// <summary>
    /// 
    /// </summary>
    /// <param name="sender"></param>
    /// <param name="e"></param>
	private void QuandReglesPresse(Object sender, EventArgs e)
	{
        Partie partie;

        if (sender.Equals(ReglesClassiques))
            partie = MauiProgram.Manageur.NouvellePartie(new ReglesClassiques());
        else
            return;

        partie.PartieDemanderJoueur += new ConnexionPage().QuandDemanderNom;
        partie.PartieNouveauTour += new PlateauPage().QuandNouveauTour;
        partie.PartiePartieTerminee += new VictoirePage().QuandPartieTerminee;

        partie.Jouer();
    }
}